/** @odoo-module **/

const { Component, useState, mount, whenReady, xml } = owl;

export class MyComponent extends Component {
   static template = 'owl_demo.my_component'


   setup() {
        this.state = useState({ is_show:true});
   }

    onRemove(ev) {
        this.state.is_show = false;
    }

}

//MyComponent.template = 'owl_demo.MyComponent';

whenReady(() => {
     var my_component = new MyComponent();
     mount(my_component, document.body);
    //$("#myModal").modal('show');
});